#Fichier de configuration du programme LogsValet

#Paramètres généraux

#Répertoire source à surveiller où se trouvent les fichiers logs d'origine
RÉPERTOIRE_SOURCE="D:\Main\Fichiers\JOB\LogsDump\Src"




#################################################################
#Configuration des filtres de logs 
#
#Chaque log à filtrer est configuré par une série de paramètres.
#Chaque filtre doit commencer par le paramètre "FILTRE" et il est important d'assigner TOUS les paramètres pour chaque log à traîter.  Sinon le programme ignorera le filtre.
#Les paramètres doivent être définis dans une zone délimitée par des brackets
#Chaque paramètre doit être définit entre guillemets " ... " et il ne doit pas y avoir d'espace en dehors des guillemets
#Il peut y avoir plusieurs filtres du même type
#
#FILTRE= Correspond à la chaîne de caractères qui différencie un log.  Par exemple "ZT1", "ZT2" ou "BooleanData" pour un fichier SEI
#TYPE= Définit le type d'opération à effectuer sur le fichier filtré:  "DÉPLACER" déplace le fichier vers le répertoire cible, "EFFACER" ne fait qu'effacer le fichier du répertoire source.
#DESCRIPTION= Une courte description qui décrit à qui correspond le filtre.  Pour clarté seulement, non utilisé pour le traîtement des noms de fichiers.
#PREFIXE= La chaîne de caractères au tout début du nom du fichier.  Généralement sert à identifier la station
#DESTINATION= Le nom du répertoire où le fichier log doit être copié (si le répertoire n'existe pas, le programme va tenter de le créer)
#
###################################################################

#Fichiers ZT1 d'Angrignon
FILTRE="ZT1" #test de commentaire
{
TYPE="DÉPLACER"
DESCRIPTION="Zone Test 1 Terminus Angrignon"
PREFIXE="ANG"
DESTINATION="D:\Main\Fichiers\JOB\LogsDump\ZT Angrignon"
}

#Fichiers ZT1 de Terminus Beaugrand
FILTRE="ZT1" #test de commentaire
{
TYPE="DÉPLACER"
DESCRIPTION="Zone Test 1 Terminus Beaugrand"
PREFIXE="HBGR"
DESTINATION="D:\Main\Fichiers\JOB\LogsDump\ZT Beaugrand"
}

#Fichiers ZT2 d'Angrignon
FILTRE="ZT2"
{
TYPE="DÉPLACER"
DESCRIPTION="Zone Test 2 Terminus Angrignon"
PREFIXE="ANG"
DESTINATION="D:\Main\Fichiers\JOB\LogsDump\ZT Angrignon"
}

#Fichiers ZT2 de Terminus Beaugrand
FILTRE="ZT2"
{
TYPE="DÉPLACER"
DESCRIPTION="Zone Test 2 Terminus Beaugrand"
PREFIXE="HBGR"
DESTINATION="D:\Main\Fichiers\JOB\LogsDump\ZT Beaugrand"
}


#Fichiers logs SEI de Viau
{
FILTRE="BooleanData_A"
TYPE="DÉPLACER"
DESCRIPTION="Logs SEI Viau"
PREFIXE="VIAU"
DESTINATION="D:\Main\Fichiers\JOB\LogsDump\SEI_VIAU"
}

#Fichiers logs SEI de Viau du replica 2 à effacer
FILTRE="BooleanData_B"
{
TYPE="EFFACER"
DESCRIPTION="Logs SEI Viau à effacer"
PREFIXE="VIAU"
DESTINATION=""
}
